-- ABS-127919 / ABS-129925
INSERT INTO OBSOLETEVIEWS
  (VIEWNAME, VIEWTEXT)
  SELECT UO.OBJECT_NAME,DBMS_METADATA.GET_DDL('FUNCTION',UO.OBJECT_NAME)  FROM USER_OBJECTS UO
WHERE UPPER(UO.OBJECT_NAME) IN ('F_GETNOTENUMBERSONINVOICECC','F_GETNOTENUMBERSONMINDATE','F_GETNOTENUMBERSONMAXDATE','F_GETNOTENUMBERSONINVOICE');
COMMIT;

INSERT INTO OBSOLETEVIEWS
  (VIEWNAME, VIEWTEXT)
  SELECT UV.VIEW_NAME, TO_LOB(UV.TEXT)
    FROM USER_VIEWS UV
   WHERE UPPER(UV.VIEW_NAME) IN ('V_ROUTELISTBNL');
COMMIT;

DROP FUNCTION F_GETNOTENUMBERSONINVOICECC;
DROP FUNCTION F_GETNOTENUMBERSONMINDATE;
DROP FUNCTION F_GETNOTENUMBERSONMAXDATE;
DROP FUNCTION F_GETNOTENUMBERSONINVOICE;
DROP VIEW V_ROUTELISTBNL;
